<?php

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

$template->set_filenames(array('plugins' => PLUGINSMANAGER_PATH . 'template/plugins_new.tpl'));

//------------------------------------------------------automatic installation
if (isset($_GET['install']) and isset($_GET['extension']) and !is_adviser())
{
  $install_status = $plugins->extract_plugin_files('install', $_GET['install'], $_GET['extension']);

  redirect($base_url.'&installstatus='.$install_status);
}

//--------------------------------------------------------------install result
if (isset($_GET['installstatus']))
{
	switch ($_GET['installstatus'])
	{
	case 'ok':
		array_push($page['infos'], l10n('pm_install_ok'), l10n('pm_install_need_activate'));
		break;
	
	case 'temp_path_error':
		array_push($page['errors'], l10n('pm_temp_path_error'));	
		break;
	
	case 'dl_archive_error':
		array_push($page['errors'], l10n('pm_dl_archive_error'));	
		break;

	case 'archive_error':
		array_push($page['errors'], l10n('pm_archive_error'));	
		break;

	default:
		array_push($page['errors'], sprintf(l10n('pm_extract_error'), $_GET['installstatus']), l10n('pm_check_chmod'));	
	}
}

//---------------------------------------------------------------Order options
$order = explode(',', $conf['PluginsManager']);
if (!isset($order[1])) $_GET['order'] = 'date';
if (isset($_GET['order'])) {
	$order[1] = $_GET['order'];
	$query = 'UPDATE ' . CONFIG_TABLE . '
SET value="' . implode(',', $order) . '"
WHERE param="PluginsManager"
LIMIT 1';
    pwg_query($query);
}
$orders = array('date' => l10n('Post date'),
				'name' => l10n('Name'),
				'author' => l10n('Author'));
				
foreach ($orders as $key => $value)
{
    $template->assign_block_vars(
      'order',
        array(
          'DISPLAY' => $value,
          'URL' => htmlentities($base_url) . '&amp;order=' . $key,
          'SELECTED_OPTION' => ($order[1] == $key ? 'SELECTED' : '')));
}

// +-----------------------------------------------------------------------+
// |                     start template output                             |
// +-----------------------------------------------------------------------+
$plugins->get_server_plugins(true);
$plugins->sort_server_plugins($order[1]);

if ($plugins->server_plugins !== false)
{
	$num = 0;
	foreach($plugins->server_plugins as $plugin)
	{
		$ext_desc = nl2br(htmlspecialchars(strip_tags($plugin['ext_description'])));
		
		$ver_desc = sprintf(l10n('pm_description'),
						$plugin['version'],
						date('Y-m-d', $plugin['date']),
						nl2br(htmlspecialchars(strip_tags($plugin['description']))));
	
		$url_auto_install = htmlentities($base_url)
				. '&amp;extension=' . $plugin['id_extension']
				. '&amp;install=%2Fupload%2Fextension-' . $plugin['id_extension']
				. '%2Frevision-' . $plugin['id_revision'] . '%2F' .  str_replace(' ', '%20',$plugin['url']);
		
		$url_download = PHPWG_URL . '/ext/upload/extension-' . $plugin['id_extension']
				. '/revision-' . $plugin['id_revision']
				. '/' . str_replace(' ', '%20',$plugin['url']);
					
		$template->assign_block_vars('plugins.plugin',
				array('EXT_NAME' => $plugin['ext_name'],
					'EXT_URL' => PHPWG_URL . '/ext/extension_view.php?eid=' . $plugin['id_extension'],
					'EXT_DESC' => $ext_desc,
					'VERSION' => $plugin['version'],
					'VERSION_URL' => PHPWG_URL . '/ext/revision_view.php?rid=' . $plugin['id_revision'],
					'VER_DESC' => $ver_desc,
					'AUTHOR' => $plugin['author'],
					'URL_INSTALL' => $url_auto_install,
					'URL_DOWNLOAD' => $url_download,
					'CLASS' => ($num++ % 2 == 1) ? 'row2' : 'row1'));
	}
}
else
{
	array_push($page['errors'], l10n('pm_server_error'));
}
?>